ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_pcm_template Struct Reference
Topology Interface

Template type for PCM (FE DAI & DAI links). More...

`#include <topology.h>`

## Data Fields
const char * | pcm_name
const char * | dai_name
unsigned int | pcm_id
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
unsigned int | compress
struct snd_tplg_stream_caps_template * | caps [2]
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv
int | num_streams
struct snd_tplg_stream_template | stream [0]

## Detailed Description

Template type for PCM (FE DAI & DAI links).

## Field Documentation

## ◆ caps

struct snd_tplg_stream_caps_template* snd_tplg_pcm_template::caps[2]

playback & capture for DAI

## ◆ capture

unsigned int snd_tplg_pcm_template::capture

supports capture mode

## ◆ compress

unsigned int snd_tplg_pcm_template::compress

1 = compressed; 0 = PCM

## ◆ dai_id

unsigned int snd_tplg_pcm_template::dai_id

unique ID - used to match

## ◆ dai_name

const char* snd_tplg_pcm_template::dai_name

DAI name

## ◆ flag_mask

unsigned int snd_tplg_pcm_template::flag_mask

bitmask of flags to configure

## ◆ flags

unsigned int snd_tplg_pcm_template::flags

flag value SND_SOC_TPLG_LNK_FLGBIT_*

## ◆ num_streams

int snd_tplg_pcm_template::num_streams

number of supported configs

## ◆ pcm_id

unsigned int snd_tplg_pcm_template::pcm_id

unique ID - used to match

## ◆ pcm_name

const char* snd_tplg_pcm_template::pcm_name

PCM stream name

## ◆ playback

unsigned int snd_tplg_pcm_template::playback

supports playback mode

## ◆ priv

struct snd_soc_tplg_private* snd_tplg_pcm_template::priv

private data

## ◆ stream

struct snd_tplg_stream_template snd_tplg_pcm_template::stream[0]

supported configs

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h